#
# spec file for package xibod (Version 2.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif openmotif-devel openmotif-libs openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           xibod
BuildRequires:  openmotif openmotif-devel update-desktop-files xorg-x11
License:        GPL
Group:          Hardware/ISDN
Autoreqprov:    on
URL:            http://www.datenwelt.net/oss/ibod
Version:        2.0
Release:        830.2
Summary:        A Control Panel for the Ibod ISDN Bandwidth-On-Demand Daemon
Source:         xibod-2.0.tar.bz2
Source1:        xibod.desktop
Patch:          ibod.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the control panel for the ibod(1) ISDN Bandwidth On Demand
daemon. It is a Motif application that communicates over TCP socket
port 6051 with the ibod daemon. This package includes the ibod daemon.



Authors:
--------
    Bjoern Smith <Smith@Compound.SE>
    Karsten Keil <kkeil@suse.de>

%debug_package
%prep
%setup -n xibod
cd ../ibod
%patch

%build
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LDFLAGS="-L/usr/X11R6/%{_lib}"
#mv xibod xibod.SuSE-dynamic
#test -x /usr/sbin/switch_motif_linking && \
#  /usr/sbin/switch_motif_linking static
#make LDFLAGS="-L/usr/X11R6/lib"
cd ../ibod
rm -f ibod
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/ppp
mkdir -p $RPM_BUILD_ROOT/usr/share/man/{man1,man4}
install -p xibod $RPM_BUILD_ROOT/usr/X11R6/bin
#install -p xibod.SuSE-dynamic $RPM_BUILD_ROOT/usr/X11R6/bin
install -p Xibod.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xibod
#ln -sf xibod.SuSE-static $RPM_BUILD_ROOT/usr/X11R6/bin/xibod
install -p -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install -p README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cd ../ibod
install -p -m 755 ibod $RPM_BUILD_ROOT/usr/sbin
install -p -m 644 ibod.cf $RPM_BUILD_ROOT/etc/ppp
install -p -m 644 ibod.1 $RPM_BUILD_ROOT/usr/share/man/man1
install -p -m 644 ibod.cf.4 $RPM_BUILD_ROOT/usr/share/man/man4
%suse_update_desktop_file -i %name System SystemSetup

%files
%defattr(-,root,root)
/usr/X11R6/bin/xibod
%config /usr/X11R6/lib/X11/app-defaults/Xibod
/usr/sbin/ibod
/usr/share/applications/*.desktop
%config(noreplace) /etc/ppp/ibod.cf
%doc /usr/share/man/man1/ibod.1.gz
%doc /usr/share/man/man4/ibod.cf.4.gz
%doc %{_defaultdocdir}/%{name}

%changelog -n xibod
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Thu Jun 12 2003 - kkeil@suse.de
- fix filelist
* Wed Sep 18 2002 - kkeil@suse.de
- some bufferoverflow fixes in ibod (Thomas Biege <thomas@suse.de>)
- add default pid file (Marius Tomaschewski <mt@suse.de>)
* Tue Sep 17 2002 - kkeil@suse.de
- handle LISTEN address flexible for ibod
  (Marius Tomaschewski <mt@suse.de>)
- source now in bzip2 format
* Mon Apr 29 2002 - kkeil@suse.de
- changes for 32/64 bit architectures
* Mon Mar 12 2001 - kkeil@suse.de
- add xf86 to needforbuild
* Thu Mar 08 2001 - kkeil@suse.de
- rewrite ibod and xibod to support multiple bundles and more as
  one slave channel.
  Sponsored by Mummert & Partner Berlin, Germany
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Tue Jul 11 2000 - kkeil@suse.de
- The xibod interface was disabled
* Fri Jun 23 2000 - kkeil@suse.de
- change /sbin/ibod to /usr/sbin/ibod
* Fri Jun 23 2000 - kkeil@suse.de
- update ibod to pds version
- use Buildroot
* Thu Feb 24 2000 - freitag@suse.de
- moved manpages to /usr/share/man
* Thu Feb 10 2000 - @suse.de
- new version of ibod
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
- added "rm -f ibod" to avoid packaging an old libc5 binary
* Tue May 19 1998 - ray@suse.de
- Add -lXp for motif 2.1
* Sat May 09 1998 - ray@suse.de
- new package
